# Constrained form finding using Dynamic Relaxation

This package provides equilibrium solvers and constraints
for constrained form finding using the "dynamic relaxation" method.

The solvers can be used through the `compas_dr` paclage directly,
or through COMPAS FormFinder, which is a form finding tool with a GUI
combining various different form finding approaches.

## Installation

Stable releases can be installed from PyPI.

```bash
pip install compas_dr
```

To install the latest development version, do:

```bash
git clone https://github.com/blockresearchgroup/compas_dr.git
cd compas_dr
pip install -e ".[dev]"
```

## Documentation

For further "getting started" instructions, a tutorial, examples, and an API reference,
please check out the online documentation here: [COMPAS DR docs](https://blockresearchgroup.github.io/compas_dr)

## Issue Tracker

If you find a bug or if you have a problem with running the code, please file an issue on the [Issue Tracker](https://github.com/BlockResearchGroup/compas_dr/issues).
